Package org.apache.commons.math3.genetics

# Interface PermutationChromosome<T>

Type Parameters:
  `T` - type of the permuted objects

All Known Implementing Classes:
  `RandomKey`

public interface PermutationChromosome<T>
Interface indicating that the chromosome represents a permutation of objects.

Since:
  2.0

## Method Summary

Modifier and Type
Method
Description
`List<T>`
`decode(List<T> sequence)`
Permutes the `sequence` of objects of type T according to the permutation this chromosome represents.

## Method Details

### decode

List<T> decode(List<T> sequence)
Permutes the `sequence` of objects of type T according to the permutation this chromosome represents. For example, if this chromosome represents a permutation (3,0,1,2), and the unpermuted sequence is (a,b,c,d), this yields (d,a,b,c).

Parameters:
  `sequence` - the unpermuted (original) sequence of objects
Returns:
  permutation of `sequence` represented by this permutation